// vite.config.ts
import { defineConfig } from "@solidjs/start/config";
import tailwindcss from "@tailwindcss/vite";
var vite_config_default = defineConfig({
  ssr: false,
  vite: {
    plugins: [tailwindcss()],
    server: {
      proxy: {
        "/api": {
          target: "http://localhost:9100",
          changeOrigin: true,
          secure: false,
          ws: true,
          configureProxy: (proxy) => {
            proxy.on("proxyReq", (proxyReq, req) => {
              const cookie = req.headers.cookie;
              if (cookie) {
                proxyReq.setHeader("Cookie", cookie);
              }
            });
          }
        }
      }
    }
  }
});
export {
  vite_config_default as default
};
